import { Message, StreamMessage } from "./Message";
import { NumberSensorValue } from "./SensorValue";
export declare class MessageRegistry {
    private currentMessage;
    private buffer;
    private bufferView;
    private currentPosition;
    private previousByteZero;
    messageDefinitionMessage: Message;
    /**called when an unknown message is recieved. May be used to request the data schema in this case. */
    onUnknownMessage: null | (() => void);
    streamMessage: StreamMessage;
    basicSensorValues: NumberSensorValue[];
    messages: Message[];
    readData(data: ArrayBuffer): void;
    addMessage(toAdd: Message): void;
    constructor(messages?: Message[], onMessage?: (s: string) => void);
    set onMessage(onMessage: (s: string) => void);
    /** get Arraybuffer which is ready to be sent to the microcontroller from message */
    encodeMessage(message: Message): Uint8Array;
}
